Summary:	The FlightGear Flight Simulator
Name:		flightgear
Version:	2.10.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Other
Source0:	http://mirrors.ibiblio.org/pub/mirrors/flightgear/ftp/Source/%{name}-%{version}.tar.bz2
Patch0:         flightgear-2.6.0-mandriva-linkage.patch
Patch1:         flightgear-2.6.0-fedora-check-for-%n-in-printf-format-string.patch
Patch2:         flightgear-2.6.0-fedora-use-snprintf-for-rotor-strings.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
BuildRequires:	simgear-devel >= %version
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	boost-devel
BuildRequires:	plib-devel
BuildRequires:	fltk-devel
BuildRequires:	cmake
BuildRequires:	freeglut-devel
BuildRequires:	pkgconfig(xmu)
Requires:	flightgear-base = %{version}-%{release}
Suggests:	fgrun
URL:		http://www.flightgear.org/
Provides:	FlightGear = %{version}-%{release}

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
#from upstream version.h should not be in the tarball as it is generated by cmake
rm src/Include/version.h

%build
%cmake \
	-DFG_DATA_DIR=%{_gamesdatadir}/%{name} \
	-DSIMGEAR_SHARED=ON \
	-DJPEG_FACTORY=ON
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Flight Gear
Comment=Flight Gear Flight Simulator
Exec=fgfs
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

# build doc is useless for end users
rm -rf %{buildroot}%{_docdir}/FlightGear

%files
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/*


%changelog

* Mon Feb 18 2013 zezinho <zezinho> 2.10.0-1.mga3
+ Revision: 399096
- new version
- enable jpeg factory

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-6.mga3
+ Revision: 350541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.8.0-5.mga3
+ Revision: 343877
- updated RPM group

* Fri Nov 16 2012 luigiwalser <luigiwalser> 2.8.0-4.mga3
+ Revision: 318372
- rebuild for plib
- rebuild for plib

* Wed Sep 12 2012 zezinho <zezinho> 2.8.0-2.mga3
+ Revision: 293196
- provide libShivaVG.so as it comes with flightgear

* Thu Sep 06 2012 zezinho <zezinho> 2.8.0-1.mga3
+ Revision: 289021
- fix libm underlinking
- new version

* Wed Jun 20 2012 zezinho <zezinho> 2.6.0-3.mga3
+ Revision: 262107
- fix BR
- apply fedora patch to fix CVE-2012-2090 CVE-2012-2091

* Wed Apr 04 2012 luigiwalser <luigiwalser> 2.6.0-2.mga2
+ Revision: 228371
- rebuild for plib

* Fri Feb 24 2012 zezinho <zezinho> 2.6.0-1.mga2
+ Revision: 214206
- fix spec bindir for now
- mandriva build patch to fix link
- new version

  + fwang <fwang>
    - change prefix into games prefix
    - update file list
    - new version 2.4.0 final

  + shadow95 <shadow95>
    - Release 0.1
    - add Suggests: fgrun --> suggest installation fgrun with flightgear
    - clean spec
    - change Exec=fgfs to Exec=fgfs --fg-root=%%{_datadir}/FlightGear in desktop entry

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.mga2
+ Revision: 126263
- update file list
- fix lib build
- add br
- update br
- br cmake
- New version 2.4.0 (snapshot for now)

* Thu Jun 16 2011 fwang <fwang> 2.0.0-5.mga2
+ Revision: 108067
- rebuild for new osg

* Tue Apr 26 2011 wally <wally> 2.0.0-4.mga1
+ Revision: 91658
- fix desktop file (mga#954)
- fix license

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.0.0-3.mga1
+ Revision: 89204
- rebuild against new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.0.0-2.mga1
+ Revision: 86772
- clean spec file
- imported package flightgear


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdv2011.0
+ Revision: 610711
- rebuild

* Sun Mar 07 2010 Frederik Himpe <fhimpe@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 515535
- Update to new version 2.0.0
- Remove gcc 4.4 patch: not needed anymore
- Remove unrecognized configure option
- Disable --as-needed ldflag because it breaks build

* Thu Aug 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.9.1-3mdv2010.0
+ Revision: 421600
- add p1 to fix gcc44 build

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 360502
- Remove wrong patch attempting to fix build with Werror=format-security
  and disable this flag

* Tue Mar 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 348102
- Update to new version 1.9.1
- Add boost buildrequires
- Add patch fixing build with -Werror=format-security

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdv2008.1
+ Revision: 135970
- updated to version 1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.10-6mdv2008.0
+ Revision: 88714
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Apr 05 2007 Olivier Blin <oblin@mandriva.com> 0.9.10-5mdv2007.1
+ Revision: 150688
- buildrequire zlib-devel
- buildrequire freealut-devel (and link with it instead of old openal)

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-4mdv2007.1
+ Revision: 89872
- split flightgear data out in flightgear-base

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-3mdv2007.1
+ Revision: 89757
- fix menu entry
- Import flightgear

* Thu Aug 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-2mdv2007.0
- add xdg menu
- from Bertrand Coconnier <bcoconni@hotmail.com> :
	o Build for x86_64
	o Remove dependency

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-1mdk
- New release 0.9.10
- %%mkrel
- update menu section

* Mon Dec 05 2005 Olivier Blin <oblin@mandriva.com> 0.9.9-2mdk
- bump SimGear-devel BuildRequires (#20019)

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- flightgear is executable

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Mon Aug 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-2mdk
- fix buildrequires
- fix path data files

* Fri Aug 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.9.4-2mdk 
- rebuild for new gcc

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4
- fix buildrequires (lib64..)

